POST api/departmentItemapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

DepartmentItemViewModel
NameDescriptionTypeAdditional information
item_code

string

None.

item_descriptions

Dictionary of string [key] and string [value]

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

department_id

globally unique identifier

Required

id

globally unique identifier

None.

physical_item_id

globally unique identifier

None.

service_item_id

globally unique identifier

None.

item_wash_max

integer

None.

quantity

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "item_code": "sample string 1",
  "item_descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "selected_sticker_id": "9cd4f3a1-a5f0-475a-a143-69e1b1baa362",
  "selected_nameplate_id": "a93f5073-6e65-4178-ac62-c57c30c70a02",
  "active": true,
  "department_id": "7b9e5d97-c8aa-4bd9-a3db-c4bd0c7f50c4",
  "id": "82c7c55e-be27-47db-bbb7-d1635d026452",
  "physical_item_id": "26dded1c-6011-4adb-a985-a9240701413e",
  "service_item_id": "ce44c807-c36a-4571-818d-a511f462777b",
  "item_wash_max": 1,
  "quantity": 1
}

application/xml, text/xml

Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <department_id>7b9e5d97-c8aa-4bd9-a3db-c4bd0c7f50c4</department_id>
  <id>82c7c55e-be27-47db-bbb7-d1635d026452</id>
  <item_wash_max>1</item_wash_max>
  <physical_item_id>26dded1c-6011-4adb-a985-a9240701413e</physical_item_id>
  <quantity>1</quantity>
  <service_item_id>ce44c807-c36a-4571-818d-a511f462777b</service_item_id>
  <item_code>sample string 1</item_code>
  <item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 1</d2p1:Key>
      <d2p1:Value>sample string 2</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 3</d2p1:Key>
      <d2p1:Value>sample string 4</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
  </item_descriptions>
  <selected_nameplate_id>a93f5073-6e65-4178-ac62-c57c30c70a02</selected_nameplate_id>
  <selected_sticker_id>9cd4f3a1-a5f0-475a-a143-69e1b1baa362</selected_sticker_id>
</department_item>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"56bc4bc1-e727-42e4-8c5e-48d664ad8f12"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">56bc4bc1-e727-42e4-8c5e-48d664ad8f12</guid>